/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2016 ForTISS GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.kernel.introspection.items;

import java.util.List;
import java.util.Map;

import org.eclipse.emf.ecore.EObject;
import org.fortiss.tooling.kernel.extension.IConnectionCompositor;
import org.fortiss.tooling.kernel.internal.ConnectionCompositorService;
import org.fortiss.tooling.kernel.introspection.IIntrospectionDetailsItem;

/**
 * {@link IIntrospectionDetailsItem} for the {@link ConnectionCompositorService}.
 * 
 * @author hoelzl
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating YELLOW Hash: 91966CF3738D8DC1CC9FABBC976F7244
 */
public final class ConnectionCompositorServiceIntrospectionDetailsItem
		extends
		EObjectAware2IntrospectionDetailsItemBase<IConnectionCompositor<EObject, EObject, EObject>> {

	/** Constructor. */
	public ConnectionCompositorServiceIntrospectionDetailsItem(
			Map<Class<?>, Map<Class<?>, List<IConnectionCompositor<EObject, EObject, EObject>>>> handlersBySource) {
		super(handlersBySource);
	}
}
