/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2016 ForTISS GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.kernel.introspection.items;

import java.util.Collection;

import org.fortiss.tooling.kernel.extension.IStorageProvider;
import org.fortiss.tooling.kernel.introspection.IIntrospectionDetailsItem;
import org.fortiss.tooling.kernel.service.IPersistencyService;

/**
 * {@link IIntrospectionDetailsItem} class for {@link IPersistencyService}.
 * 
 * @author hoelzl
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating YELLOW Hash: 8F755367247195BE064A7F1EDD3928B7
 */
public final class PersistencyServiceIntrospectionDetailsItem implements IIntrospectionDetailsItem {

	/** The storage providers. */
	private final Collection<IStorageProvider> providers;

	/** Constructor. */
	public PersistencyServiceIntrospectionDetailsItem(Collection<IStorageProvider> providers) {
		this.providers = providers;
	}

	/** Returns the registered storage providers. */
	public Collection<IStorageProvider> getStorageProviders() {
		return providers;
	}
}
